require 'test_helper'

class SessionsControllerTest < ActionDispatch::IntegrationTest
  test "can't login w/ email when password is wrong" do
    post login_path(login: {username: 'MyString@hotmail.com', password: "Password1"})
    assert_response :success

    #Test by trying to view dashboard
    get dashboard_path
    assert_response :forbidden
  end

  test "can't login w/ username when password is wrong" do
    post login_path(login: {username: 'user_one', password: "Password1"})
    assert_response :success

    #Test by trying to view dashboard
    get dashboard_path
    assert_response :forbidden
  end

  test "can login w/ email" do
    post login_path(login: {username: 'mystrING@hotmail.com', password: "password1"})
    assert_redirected_to root_path

    #Test by trying to view dashboard
    get dashboard_path
    assert_response :success
  end

  test "can login w/ username" do
    post login_path(login: {username: 'user_one', password: "password1"})
    assert_redirected_to root_path

    #Test by trying to view dashboard
    get dashboard_path
    assert_response :success
  end

  test "can log out" do
    post login_path(login: {username: 'user_one', password: "password1"})
    get dashboard_path
    assert_response :success
    
    post logout_path
    get dashboard_path
    assert_response :forbidden
  end
end
